/* Completely center contents of a flexbox */
.flex-center{
	@extend .justify-content-center;
	@extend .align-items-center;
}

// Ensure sticky-top classes are consistent
.sticky-top{
	@include uc-sticky-top;
}

// Screen readers only
.screen-reader-text{
	@extend .sr-only;
}

// Off-canvas element
.offcanvas{
	@extend .position-fixed;
	@extend .w-100;
	@extend .h-100;

	top: 0;
	left: 0;
	z-index: 1029; /* Let fixed-bottom items (1030) stay on top */
	
	transition: .5s height;
}

@include media-breakpoint-up( 'md' ){

	// MD version of sticky-top
	.md-sticky-top{
		@include uc-sticky-top;
	}

}